"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const data_container_1 = require("./data-container");
const mongoose_1 = require("mongoose");
const data_explorer_1 = require("./data-explorer");
const concept_container_repository_1 = require("../data/concept-container-repository");
const concept_container_model_1 = require("../data/mongo/concept-container-model");
const concept_model_1 = require("../data/mongo/concept-model");
const concept_repository_1 = require("../data/concept-repository");
const wiki_entity_model_1 = require("../data/mongo/wiki-entity-model");
const wiki_search_name_model_1 = require("../data/mongo/wiki-search-name-model");
const wiki_entity_repository_1 = require("../data/wiki-entity-repository");
const wiki_search_name_repository_1 = require("../data/wiki-search-name-repository");
const wiki_title_tepository_1 = require("../data/wiki-title-tepository");
const wiki_title_model_1 = require("../data/mongo/wiki-title-model");
function explorer(options) {
    const { dbConnectionString } = options;
    const connection = mongoose_1.createConnection(dbConnectionString);
    const containerRep = new concept_container_repository_1.ConceptContainerRepository(new concept_container_model_1.ConceptContainerModel(connection));
    const conceptRep = new concept_repository_1.ConceptRepository(new concept_model_1.ConceptModel(connection));
    const entityRep = new wiki_entity_repository_1.WikiEntityRepository(new wiki_entity_model_1.WikiEntityModel(connection));
    const searchNameRep = new wiki_search_name_repository_1.WikiSearchNameRepository(new wiki_search_name_model_1.WikiSearchNameModel(connection));
    const wikiTitleRep = new wiki_title_tepository_1.WikiTitleRepository(new wiki_title_model_1.WikiTitleModel(connection));
    const api = Object.assign({}, data_container_1.createDataContainerApi(containerRep, conceptRep), data_explorer_1.createDataExplorerApi(containerRep, conceptRep, entityRep, searchNameRep, wikiTitleRep), { closeDatabase() {
            return connection.close();
        } });
    return api;
}
exports.explorer = explorer;
function customExplorer(options) {
    const api = Object.assign({}, data_container_1.createDataContainerApi(options.containerRep, options.conceptRep), data_explorer_1.createDataExplorerApi(options.containerRep, options.conceptRep, options.entityRep, options.searchNameRep, options.wikiTitleRep), { closeDatabase() {
            return Promise.resolve();
        } });
    return api;
}
exports.customExplorer = customExplorer;
