"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const name_helper_1 = require("../name-helper");
const utils_1 = require("../utils");
class WikiSearchNameHelper {
    static build(data) {
        const name = data.name.trim();
        const lang = data.lang.trim().toLowerCase();
        const country = data.country.trim().toLowerCase();
        const id = WikiSearchNameHelper.createId(name, lang, country);
        const searchName = {
            id,
            name,
            lang,
            country,
            createdAt: Math.round(Date.now() / 1000),
            updatedAt: data.updatedAt || Math.round(Date.now() / 1000),
        };
        return searchName;
    }
    static createId(name, lang, country) {
        name = name.trim();
        lang = lang.trim().toLowerCase();
        country = country.trim().toLowerCase();
        const normalName = name_helper_1.NameHelper.normalizeName(name, lang);
        if (normalName.length < 2) {
            throw new Error(`Invalid name: ${name}`);
        }
        const hash = utils_1.md5(normalName);
        return [lang, country, hash].join('');
    }
}
exports.WikiSearchNameHelper = WikiSearchNameHelper;
