"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const name_helper_1 = require("../name-helper");
const utils_1 = require("../utils");
class WikiTitleHelper {
    static create(data) {
        const title = data.title.trim();
        const lang = data.lang.trim().toLowerCase();
        const id = WikiTitleHelper.createId(title, lang);
        const wikiTitle = {
            id,
            title,
            lang,
            createdAt: Math.round(Date.now() / 1000),
            updatedAt: data.updatedAt || Math.round(Date.now() / 1000),
        };
        return wikiTitle;
    }
    static createId(title, lang) {
        title = title.trim();
        lang = lang.trim().toLowerCase();
        const normalTitle = name_helper_1.NameHelper.normalizeName(title, lang);
        if (normalTitle.length < 2) {
            throw new Error(`Invalid title: ${title}`);
        }
        const hash = utils_1.md5(normalTitle);
        return [lang, hash].join('');
    }
}
exports.WikiTitleHelper = WikiTitleHelper;
