"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const actor_helper_1 = require("../../entities/actor-helper");
const select_wiki_entity_1 = require("./select-wiki-entity");
const usecase_1 = require("../usecase");
class BuildActorByNames extends usecase_1.UseCase {
    constructor(locale, wikiEntityRepository) {
        super();
        this.locale = locale;
        this.selectWikiEntity = new select_wiki_entity_1.SelectWikiEntity(locale, wikiEntityRepository);
    }
    innerExecute(names) {
        return __awaiter(this, void 0, void 0, function* () {
            const wikiEntity = yield this.selectWikiEntity.execute(names.nameList());
            const actor = actor_helper_1.ActorHelper.build(this.locale, names, wikiEntity || undefined);
            return actor;
        });
    }
}
exports.BuildActorByNames = BuildActorByNames;
