"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const concept_helper_1 = require("../../entities/concept-helper");
const usecase_1 = require("../usecase");
class DeleteActorConcepts extends usecase_1.UseCase {
    constructor(container, conceptRep) {
        super();
        this.container = container;
        this.conceptRep = conceptRep;
    }
    innerExecute(names) {
        return __awaiter(this, void 0, void 0, function* () {
            const lang = this.container.lang;
            const country = this.container.country;
            const containerId = this.container.id;
            const conceptIds = concept_helper_1.ConceptHelper.ids(names, lang, country, containerId);
            const rootIds = concept_helper_1.ConceptHelper.rootIds(names, lang, country, containerId);
            yield this.conceptRep.deleteIds(conceptIds);
            yield this.conceptRep.deleteByRootNameIds(rootIds);
        });
    }
}
exports.DeleteActorConcepts = DeleteActorConcepts;
