"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require('debug')('textactor-explorer');
const explore_wiki_entities_by_names_1 = require("./explore-wiki-entities-by-names");
const usecase_1 = require("../usecase");
class ExploreWikiEntities extends usecase_1.UseCase {
    constructor(locale, namesEnumerator, entityRep, wikiSearchNameRep, wikiTitleRep, countryTags, knownNames) {
        super();
        this.namesEnumerator = namesEnumerator;
        this.exploreByNames = new explore_wiki_entities_by_names_1.ExploreWikiEntitiesByNames(locale, entityRep, wikiSearchNameRep, wikiTitleRep, countryTags, knownNames);
    }
    innerExecute() {
        return __awaiter(this, void 0, void 0, function* () {
            while (!this.namesEnumerator.atEnd()) {
                const names = yield this.namesEnumerator.next();
                if (names && names.length) {
                    debug(`exploring wiki entity by names: ${names}`);
                    yield this.exploreByNames.execute(names.nameList());
                }
                else {
                    debug(`ExploreWikiEntities: no names!`);
                }
            }
        });
    }
}
exports.ExploreWikiEntities = ExploreWikiEntities;
