"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const usecase_1 = require("../usecase");
class SaveWikiEntities extends usecase_1.UseCase {
    constructor(wikiEntityRepository) {
        super();
        this.wikiEntityRepository = wikiEntityRepository;
    }
    innerExecute(entities) {
        return __awaiter(this, void 0, void 0, function* () {
            for (let entity of entities) {
                yield this.wikiEntityRepository.createOrUpdate(entity);
            }
            return true;
        });
    }
}
exports.SaveWikiEntities = SaveWikiEntities;
