import { Actor } from "../entities/actor";
import { ExploreContainerOptions } from "../usecases/explore-container";
import { IConceptContainerRepository } from "../repositories/concept-container-repository";
import { IConceptRepository } from "../repositories/concept-repository";
import { IWikiEntityRepository } from "../repositories/wiki-entity-repository";
import { IWikiSearchNameRepository } from "../repositories/wiki-search-name-repository";
import { IWikiTitleRepository } from "../repositories/wiki-title-repository";
export declare type OnDataCallback = (data: Actor) => Promise<void>;
export declare type OnErrorCallback = (error: Error) => void;
export declare type OnEndCallback = () => void;
export interface IContainerExplorer {
    onData(callback: OnDataCallback): void;
    onError(callback: OnErrorCallback): void;
    onEnd(callback: OnEndCallback): void;
    start(): IContainerExplorer;
}
export interface ContainerExplorerOptions extends ExploreContainerOptions {
}
export declare class ContainerExplorer implements IContainerExplorer {
    private containerId;
    private options;
    private containerRep;
    private conceptRep;
    private entityRep;
    private searchNameRep;
    private wikiTitleRep;
    private started;
    private dataCallbacks;
    private errorCallbacks;
    private endCallbacks;
    constructor(containerId: string, options: ContainerExplorerOptions, containerRep: IConceptContainerRepository, conceptRep: IConceptRepository, entityRep: IWikiEntityRepository, searchNameRep: IWikiSearchNameRepository, wikiTitleRep: IWikiTitleRepository);
    start(): this;
    private internalStart;
    onData(callback: OnDataCallback): void;
    private emitData;
    onError(callback: OnErrorCallback): void;
    private emitError;
    onEnd(callback: OnEndCallback): void;
    private emitEnd;
}
