import { ConceptContainerStatus } from "../entities/concept-container";
import { IConceptContainerRepository } from "../repositories/concept-container-repository";
import { IConceptRepository } from "../repositories/concept-repository";
export interface IDataContainerApi {
    newDataContainer(data: NewDataContainer): Promise<INewDataContainer>;
    findDataContainer(data: FindDataContainer): Promise<DataContainer[]>;
}
export declare function createDataContainerApi(containerRep: IConceptContainerRepository, conceptRep: IConceptRepository): IDataContainerApi;
export declare type FindDataContainer = {
    lang: string;
    country: string;
    limit: number;
    offset?: number;
    status?: ConceptContainerStatus[];
    ownerId?: string;
    uniqueName?: string;
};
export declare type DataContainer = {
    id: string;
    lang: string;
    country: string;
    name: string;
    uniqueName: string;
    ownerId: string;
    status: ConceptContainerStatus;
    lastError?: string;
    createdAt?: number;
    updatedAt?: number;
};
export declare type NewDataContainer = {
    name: string;
    uniqueName: string;
    ownerId: string;
    lang: string;
    country: string;
};
export interface INewDataContainer {
    pushText(text: string): Promise<void>;
    pushTextNames(names: string[]): Promise<void>;
    end(): Promise<void>;
    container(): DataContainer;
}
