import { IDataContainerApi } from "./data-container";
import { IDataExplorerApi } from "./data-explorer";
import { IConceptContainerRepository } from "../repositories/concept-container-repository";
import { IConceptRepository } from "../repositories/concept-repository";
import { IWikiEntityRepository } from "../repositories/wiki-entity-repository";
import { IWikiSearchNameRepository } from "../repositories/wiki-search-name-repository";
import { IWikiTitleRepository } from "../repositories/wiki-title-repository";
export declare type ExplorerOptions = {
    dbConnectionString: string;
};
export interface IExplorerApi extends IDataContainerApi, IDataExplorerApi {
    closeDatabase(): Promise<void>;
}
export declare function explorer(options: ExplorerOptions): IExplorerApi;
export declare type CustomExplorerOptions = {
    containerRep: IConceptContainerRepository;
    conceptRep: IConceptRepository;
    entityRep: IWikiEntityRepository;
    searchNameRep: IWikiSearchNameRepository;
    wikiTitleRep: IWikiTitleRepository;
};
export declare function customExplorer(options: CustomExplorerOptions): IExplorerApi;
