import { MongoRepository } from './mongo/mongo-repository';
import { ConceptContainer, ConceptContainerStatus } from '../entities/concept-container';
import { IConceptContainerRepository, ContainerListFilters } from '../repositories/concept-container-repository';
import { ILocale } from '../types';
export declare class ConceptContainerRepository extends MongoRepository<ConceptContainer> implements IConceptContainerRepository {
    getByStatus(locale: ILocale, status: ConceptContainerStatus[]): Promise<ConceptContainer[]>;
    getByUniqueName(uniqueName: string): Promise<ConceptContainer | null>;
    list(filters: ContainerListFilters): Promise<ConceptContainer[]>;
    count(locale: ILocale): Promise<number>;
    deleteIds(ids: string[]): Promise<number>;
    createOrUpdate(item: ConceptContainer): Promise<ConceptContainer>;
}
