import { MongoRepository } from './mongo/mongo-repository';
import { Concept } from '../entities/concept';
import { IConceptRepository, PopularConceptsOptions } from '../repositories/concept-repository';
import { ILocale } from '../types';
export declare class ConceptRepository extends MongoRepository<Concept> implements IConceptRepository {
    getMostPopular(containerId: string, limit: number, skip: number, options?: PopularConceptsOptions): Promise<Concept[]>;
    getByRootNameId(id: string): Promise<Concept[]>;
    getByRootNameIds(ids: string[]): Promise<Concept[]>;
    list(locale: ILocale, limit: number, skip?: number): Promise<Concept[]>;
    getConceptsWithAbbr(containerId: string): Promise<Concept[]>;
    count(locale: ILocale): Promise<number>;
    deleteUnpopular(containerId: string, popularity: number): Promise<number>;
    deleteUnpopularAbbreviations(containerId: string, popularity: number): Promise<number>;
    deleteUnpopularOneWorlds(containerId: string, popularity: number): Promise<number>;
    deleteAll(containerId: string): Promise<number>;
    deleteIds(ids: string[]): Promise<number>;
    deleteByRootNameIds(ids: string[]): Promise<number>;
    createOrUpdate(item: Concept): Promise<Concept>;
}
