import { Model, Document } from 'mongoose';
export declare class MongoModel<T> {
    private model;
    constructor(model: Model<Document>);
    create(data: T): Promise<T>;
    update(data: MongoUpdateData<T>): Promise<T>;
    remove(params: MongoParams): Promise<number>;
    one(params: MongoParams): Promise<T | null>;
    count(where: MongoParamsWhere): Promise<number>;
    list(params: MongoParams): Promise<T[]>;
    protected beforeCreating(data: T): T;
    protected beforeUpdating(data: MongoUpdateData<T>): MongoUpdateData<T>;
    protected transformItem(item: Document): T;
}
export declare type MongoParamsWhere = {
    [index: string]: any;
};
export declare type MongoParams = {
    where: MongoParamsWhere;
    select?: string;
    offset?: number;
    limit?: number;
    sort?: string;
};
export declare type MongoUpdateData<T> = {
    id: string;
    set?: Partial<T>;
    unset?: {
        [index: string]: string;
    };
};
export declare type MongoOptions = {
    select?: string;
};
