import { MongoModel } from './mongo-model';
import { IRepository, RepUpdateData } from '../../repositories/repository';
export declare class MongoRepository<T> implements IRepository<string, T> {
    protected model: MongoModel<T>;
    constructor(model: MongoModel<T>);
    getById(id: string): Promise<T | null>;
    getByIds(ids: string[]): Promise<T[]>;
    exists(id: string): Promise<boolean>;
    delete(id: string): Promise<boolean>;
    create(data: T): Promise<T>;
    update(data: RepUpdateData<string, T>): Promise<T>;
    createOrUpdate(item: T): Promise<T>;
}
