import { ActorNameType, ActorName } from "./actor";
import { Concept } from "./concept";
declare type ActorNameCollectionItem = ActorName & {
    id: string;
    order: number;
};
export declare class ActorNameCollection {
    private lang;
    private map;
    constructor(lang: string);
    readonly length: number;
    add({ name, popularity, type }: {
        name: string;
        popularity: number;
        type: ActorNameType;
    }): this;
    list(): ActorNameCollectionItem[];
    nameList(): string[];
    static fromConcepts(lang: string, concepts: Concept[]): ActorNameCollection;
    static fromArray(names: string[], lang: string, type?: ActorNameType, popularity?: number): ActorNameCollection;
    addArray(names: string[], type?: ActorNameType, popularity?: number): this;
}
export {};
