import { Concept } from './concept';
import { ActorNameCollection } from './actor-name-collection';
export declare type KnownConceptData = {
    lang: string;
    country: string;
    name: string;
    containerId: string;
    abbr?: string;
    knownName?: string;
    context?: string;
    popularity?: number;
};
export declare class ConceptHelper {
    static build(data: KnownConceptData): Concept;
    static nameHash(name: string, lang: string, country: string, containerId: string): string;
    static hash(name: string, lang: string, country: string, containerId: string): string;
    static id(name: string, lang: string, country: string, containerId: string): string;
    static ids(names: string[], lang: string, country: string, containerId: string): string[];
    static rootName(name: string, lang: string): string;
    static rootId(name: string, lang: string, country: string, containerId: string): string;
    static rootIds(names: (string | undefined | null)[], lang: string, country: string, containerId: string): string[];
    static setRootIds(concept: Concept): void;
    static getConceptsNames(concepts: Concept[]): ActorNameCollection;
    static isValidName(name: string | null | undefined, lang: string): boolean;
    static isValid(concept: Concept): boolean;
}
