import { SimpleEntityType, SimpleEntity } from 'wiki-entity';
import { WikiEntityType, WikiEntity } from './wiki-entity';
export declare class WikiEntityHelper {
    static getPartialName(name: string, lang: string, entityName: string): string | null;
    static getName(entity: SimpleEntity): string;
    static isValidName(name: string | null | undefined, lang: string): boolean;
    static nameHash(name: string, lang: string): string;
    static namesHashes(names: string[], lang: string): string[];
    static rootName(name: string, lang: string): string;
    static rootNameHash(name: string, lang: string): string;
    static convertSimpleEntityType(type: SimpleEntityType): WikiEntityType;
    static splitName(name: string): {
        simple: string;
        special: string;
    } | null;
    static getSimpleName(name: string): string | undefined;
    static isDisambiguation(entity: WikiEntity): boolean | undefined;
    static getPopularity(rank: number): EntityPopularity;
    static isNotActual(entity: WikiEntity): boolean | undefined;
}
export declare enum EntityPopularity {
    UNKNOWN = 1,
    LOW = 2,
    NORMAL = 3,
    HIGH = 4,
    POPULAR = 5
}
