import { IWriteRepository, IReadRepository } from './repository';
import { Concept } from '../entities/concept';
export declare type PopularConceptsOptions = {
    minCountWords?: number;
    maxCountWords?: number;
};
export interface IConceptWriteRepository extends IWriteRepository<string, Concept> {
    deleteUnpopular(containerId: string, popularity: number): Promise<number>;
    deleteUnpopularAbbreviations(containerId: string, popularity: number): Promise<number>;
    deleteUnpopularOneWorlds(containerId: string, popularity: number): Promise<number>;
    deleteAll(containerId: string): Promise<number>;
    deleteIds(ids: string[]): Promise<number>;
    deleteByRootNameIds(ids: string[]): Promise<number>;
    createOrUpdate(concept: Concept): Promise<Concept>;
}
export interface IConceptReadRepository extends IReadRepository<string, Concept> {
    getByRootNameId(id: string): Promise<Concept[]>;
    getByRootNameIds(ids: string[]): Promise<Concept[]>;
    getConceptsWithAbbr(containerId: string): Promise<Concept[]>;
    getMostPopular(containerId: string, limit: number, skip: number, options?: PopularConceptsOptions): Promise<Concept[]>;
}
export interface IConceptRepository extends IConceptReadRepository, IConceptWriteRepository {
}
