import { ILocale } from '../../types';
import { RepUpdateData } from '../repository';
import { IConceptContainerRepository, ContainerListFilters } from '../concept-container-repository';
import { ConceptContainer, ConceptContainerStatus } from '../../entities/concept-container';
export declare class MemoryConceptContainerRepository implements IConceptContainerRepository {
    private db;
    count(locale: ILocale): Promise<number>;
    getByStatus(locale: ILocale, status: ConceptContainerStatus[]): Promise<ConceptContainer[]>;
    getByUniqueName(uniqueName: string): Promise<ConceptContainer | null>;
    list(filters: ContainerListFilters): Promise<ConceptContainer[]>;
    getById(id: string): Promise<ConceptContainer | null>;
    getByIds(ids: string[]): Promise<ConceptContainer[]>;
    exists(id: string): Promise<boolean>;
    delete(id: string): Promise<boolean>;
    create(data: ConceptContainer): Promise<ConceptContainer>;
    update(data: RepUpdateData<string, ConceptContainer>): Promise<ConceptContainer>;
    deleteIds(ids: string[]): Promise<number>;
    all(): Promise<ConceptContainer[]>;
}
