import { Concept } from '../../entities/concept';
import { ILocale } from '../../types';
import { IConceptRepository, PopularConceptsOptions } from '../concept-repository';
import { RepUpdateData } from '../repository';
export declare class MemoryConceptRepository implements IConceptRepository {
    private db;
    getMostPopular(containerId: string, limit: number, skip: number, options?: PopularConceptsOptions): Promise<Concept[]>;
    getByRootNameIds(ids: string[]): Promise<Concept[]>;
    count(locale: ILocale): Promise<number>;
    getConceptsWithAbbr(containerId: string): Promise<Concept[]>;
    deleteByRootNameIds(ids: string[]): Promise<number>;
    list(locale: ILocale, limit: number, skip?: number): Promise<Concept[]>;
    getById(id: string): Promise<Concept | null>;
    getByIds(ids: string[]): Promise<Concept[]>;
    exists(id: string): Promise<boolean>;
    delete(id: string): Promise<boolean>;
    create(data: Concept): Promise<Concept>;
    update(data: RepUpdateData<string, Concept>): Promise<Concept>;
    getByRootNameId(id: string): Promise<Concept[]>;
    deleteUnpopular(containerId: string, popularity: number): Promise<number>;
    deleteUnpopularAbbreviations(containerId: string, popularity: number): Promise<number>;
    deleteUnpopularOneWorlds(containerId: string, popularity: number): Promise<number>;
    deleteAll(containerId: string): Promise<number>;
    deleteIds(ids: string[]): Promise<number>;
    incrementPopularity(id: string): Promise<number>;
    createOrUpdate(concept: Concept): Promise<Concept>;
    all(): Promise<Concept[]>;
}
