import { IWikiEntityRepository } from '../wiki-entity-repository';
import { WikiEntity } from '../../entities/wiki-entity';
import { RepUpdateData } from '../repository';
export declare class MemoryWikiEntityRepository implements IWikiEntityRepository {
    private db;
    count(): Promise<number>;
    getInvalidPartialNames(lang: string): Promise<string[]>;
    getByPartialNameHash(hash: string): Promise<WikiEntity[]>;
    getByNameHash(hash: string): Promise<WikiEntity[]>;
    getById(id: string): Promise<WikiEntity | null>;
    getByIds(ids: string[]): Promise<WikiEntity[]>;
    exists(id: string): Promise<boolean>;
    delete(id: string): Promise<boolean>;
    create(data: WikiEntity): Promise<WikiEntity>;
    update(data: RepUpdateData<string, WikiEntity>): Promise<WikiEntity>;
    createOrUpdate(data: WikiEntity): Promise<WikiEntity>;
}
