import { ILocale } from '../../types';
import { IWikiEntityRepository } from '../../repositories/wiki-entity-repository';
import { ICountryTagsService } from './find-wiki-titles';
import { IWikiSearchNameRepository } from '../../repositories/wiki-search-name-repository';
import { IWikiTitleRepository } from '../../repositories/wiki-title-repository';
import { IKnownNameService } from '../../services/known-names-service';
import { UseCase } from '../usecase';
export declare class ExploreWikiEntitiesByNames extends UseCase<string[], string[], void> {
    private locale;
    private wikiSearchNameRep;
    private wikiTitleRep;
    private exploreWikiEntitiesByTitles;
    private saveWikiEntities;
    private findWikiTitles;
    constructor(locale: ILocale, entityRep: IWikiEntityRepository, wikiSearchNameRep: IWikiSearchNameRepository, wikiTitleRep: IWikiTitleRepository, countryTags: ICountryTagsService, knownNames: IKnownNameService);
    protected innerExecute(names: string[]): Promise<string[]>;
}
