import { IWikiEntityRepository } from '../../repositories/wiki-entity-repository';
import { Actor } from '../../entities/actor';
import { INamesEnumerator } from '../../services/names-enumerator';
import { UseCase, IUseCase } from '../usecase';
import { ILocale } from '../../types';
export interface OnGenerateActorCallback {
    (actor: Actor): Promise<any>;
}
export declare class GenerateActors extends UseCase<OnGenerateActorCallback, void, void> {
    private namesEnumerator;
    private postNamesProcess;
    private buildActor;
    constructor(locale: ILocale, namesEnumerator: INamesEnumerator, postNamesProcess: IUseCase<string[], void, void>, wikiEntityRep: IWikiEntityRepository);
    protected innerExecute(callback: OnGenerateActorCallback): Promise<void>;
}
