import { UseCase } from './usecase';
import { IConceptRepository } from '../repositories/concept-repository';
import { OnGenerateActorCallback } from './actions/generate-actors';
import { IWikiEntityRepository } from '../repositories/wiki-entity-repository';
import { DeleteUnpopularConceptsOptions } from './actions/delete-unpopular-concepts';
import { IWikiSearchNameRepository } from '../repositories/wiki-search-name-repository';
import { IWikiTitleRepository } from '../repositories/wiki-title-repository';
import { ConceptContainer } from '../entities/concept-container';
import { IConceptContainerRepository } from '../repositories/concept-container-repository';
import { IKnownNameService } from '../services/known-names-service';
import { ICountryTagsService } from './actions/find-wiki-titles';
export interface ExploreContainerOptions extends DeleteUnpopularConceptsOptions {
}
export declare class ExploreContainer extends UseCase<OnGenerateActorCallback, void, ExploreContainerOptions> {
    private container;
    private containerRep;
    private conceptRep;
    private entityRep;
    private wikiSearchNameRep;
    private wikiTitleRep;
    private countryTags;
    private knownNames;
    constructor(container: ConceptContainer, containerRep: IConceptContainerRepository, conceptRep: IConceptRepository, entityRep: IWikiEntityRepository, wikiSearchNameRep: IWikiSearchNameRepository, wikiTitleRep: IWikiTitleRepository, countryTags: ICountryTagsService, knownNames: IKnownNameService);
    protected innerExecute(callback: OnGenerateActorCallback, options: ExploreContainerOptions): Promise<void>;
}
