import { UseCase } from './usecase';
import { IWikiEntityRepository } from '../repositories/wiki-entity-repository';
import { IWikiSearchNameRepository } from '../repositories/wiki-search-name-repository';
import { IWikiTitleRepository } from '../repositories/wiki-title-repository';
import { IKnownNameService } from '../services/known-names-service';
import { Actor } from '../entities/actor';
import { ICountryTagsService } from './actions/find-wiki-titles';
import { ILocale } from '../types';
export declare class ExploreName extends UseCase<string | string[], Actor | null, void> {
    private locale;
    private entityRep;
    private wikiSearchNameRep;
    private wikiTitleRep;
    private countryTags;
    private knownNames;
    private actorBuilder;
    private exploreWikiEntities;
    constructor(locale: ILocale, entityRep: IWikiEntityRepository, wikiSearchNameRep: IWikiSearchNameRepository, wikiTitleRep: IWikiTitleRepository, countryTags: ICountryTagsService, knownNames: IKnownNameService);
    protected innerExecute(name: string | string[]): Promise<Actor | null>;
}
